//-------------------------------------------------------------------
// OWL Extensions (OWLEXT) Class Library
// Copyright(c) 1996 by Manic Software
// All rights reserved.
//
// OWLEXT's "all-inclusive" includes
//
//$Revision: 1.1.2.1 $
//$Author: jogybl $
//$Date: 2007/08/23 08:17:51 $
//-------------------------------------------------------------------
#if !defined (__OWLEXT_ALL_H)
#define __OWLEXT_ALL_H

// Grab the core OWLEXT file we need
//
#if !defined (__OWLEXT_CORE_H)
# include <owlext/core.h>
#endif

// Various utility OWL routines
//
#if !defined (__OWLEXT_UTIL_H)
# include <owlext/util.h>
#endif

// Extended-TApplication classes (Core, Chapter Two)
//
#if !defined (__OWLEXT_SIMPLAPP_H)
# include <owlext/simplapp.h>
#endif
#if !defined (__OWLEXT_DLGAPP_H)
# include <owlext/dlgapp.h>
#endif
#if !defined (__OWLEXT_MULTIWIN_H)
# include <owlext/multiwin.h>
#endif

// Tabbed frame window class (Core, Chapter Six)
//
#if !defined (__OWLEXT_TABWIN_H)
# include <owlext/tabwin.h>
#endif

// Dialogs-with-backgrounds (Core OWL)
//
#if !defined (__OWLEXT_PICTDLG_H)
# include <owlext/pictdlg.h>
#endif

// Bitmap-background decorators (Advanced OWL)
//
#if !defined (__OWLEXT_PICTDECO_H)
# include <owlext/pictdeco.h>
#endif

// Other new gadgets
//
#if !defined (__OWLEXT_GAUGEGAD_H)
# include <owlext/gaugegad.h>
#endif

// Timers
//
#if !defined (__OWLEXT_TIMER_H)
# include <owlext/timer.h>
#endif

// Enumerating across HWNDs
//
#if !defined (__OWLEXT_ENUMWND_H)
# include <owlext/enumwnd.h>
#endif

// Hooks
//
#if !defined (__OWLEXT_KEYHOOK_H)
# include <owlext/keyhook.h>
#endif
#if !defined (__OWLEXT_MOUSEHK_H)
# include <owlext/mousehk.h>
#endif
#if !defined (__OWLEXT_MSGHOOK_H)
# include <owlext/msghook.h>
#endif

// TProgressThread, for maintaining "progress gauges" independent of
// the main thread
//
#if !defined (__OWLEXT_THREDPRG_H)
# include <owlext/thredprg.h>
#endif

// Nifty new controls
//
#if !defined (__OWLEXT_COMBOEXP_H)
# include <owlext/comboexp.h>
#endif
#if !defined (__OWLEXT_EDITLIST_H)
# include <owlext/editlist.h>
#endif
#if !defined(OWLEXT_DIRDIALG_H)
# include <owlext/dirdialg.h>
#endif
#if !defined(OWLEXT_TIPDIALG_H)
# include <owlext/tipdialg.h>
#endif
#if !defined (__OWLEXT_BMPMENU_H)
# include <owlext/bmpmenu.h>
#endif
#if !defined(__OWLEXT_BROWSE_H)
# include <owlext/browse.h>
#endif
#if !defined(__OWLEXT_POPEDIT_H)
# include <owlext/popedit.h>
#endif
#if !defined(__OWLEXT_PICKEDIT_H)
# include <owlext/pickedit.h>
#endif
#if !defined(__OWLEXT_CALCEDIT_H)
# include <owlext/calcedit.h>
#endif
#if !defined(__OWLEXT_CALEDIT_H)
# include <owlext/caledit.h>
#endif
#if !defined (__OWLEXT_CTXHELPM_H)
# include <owlext/ctxhelpm.h>
#endif
#if !defined (__OWLEXT_DLGTOOLB_H)
# include <owlext/dlgtoolb.h>
#endif
#if !defined(__OWLEXT_HLINKCTL_H)
# include <owlext/hlinkctl.h>
#endif
#if !defined(OWLEXT_NOTEBOOK_H)
# include <owlext/notebook.h>
#endif
#if !defined (__OWLEXT_VALIDATE_H)
# include <owlext/validate.h>
#endif
#if !defined (__OWLEXT_COLORHLS_H)
# include <owlext/colorhls.h>
#endif


#endif  // OWLEXT_ALL_H

